Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2020-02257, UID# 2839
App. Status: Expired

Valid: 07/24/2020 - 07/27/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2548 (07/23/2020)

Charge Cost Quantity Total
Non-Taxable
added 07/23/2020 11:45 AM

Compliant 145,001 - 150,000 lbs

$90.00 x 1 $90.00
added 07/23/2020 11:45 AM

Fee for over length permit

$30.00 x 1 $30.00
added 07/23/2020 11:43 AM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 07/23/2020 11:45 AM

Fee for over width permit

$30.00 x 1 $30.00
added 07/23/2020 11:31 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $210.00
Payment 07/24/2020$210.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantDebbie Schmeling - 07/23/2020 11:32 AM
08ad61cd8cc0752e79f4ce8911ad3c98
82f3091c35919e07bdb1274349884584
 
#1 Permit Issuing OfficialRachel Grimm - 07/23/2020 11:47 AM
1d9165cce4646159d875c3bed47f0f11
4d21b1cccd9494dcf070a6ae82d7cbd9
 
Permit has been approved. All signatures have been obtained.